com.avaya.ccs.api.enums

## Enum InteractionState

- java.lang.Object
- - java.lang.Enum<InteractionState>
  - - com.avaya.ccs.api.enums.InteractionState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<InteractionState>

      public enum InteractionState
      extends java.lang.Enum<InteractionState>

  The `InteractionState` enum defines the possible state that an `InteractionI` object can be in.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Active` Indicates that the `InteractionI` object represents an active participant on the contact.
    `Dialing` Indicates that an `InteractionI` object with the `ContactType.POM_Outbound` is in the dialing state after invocation of either `InteractionI.previewDial(com.avaya.ccs.api.ContactNumberI)`, `InteractionI.previewDialFreeForm(java.lang.String)` or `InteractionI.redial(com.avaya.ccs.api.ContactNumberI)`
    `Dropped` Indicates that the `InteractionI` object has been dropped.
    `Established` This state indicates that an endpoint has reached its final, active state in the call.
    `Held` Indicates that the `InteractionI` object represents a participant that is held on the contact.
    `Idle` This state is used internally by the API.
    `Initiated` Denotes a user-initiated Interaction.
    `Pending` Indicates that an `InteractionI` object with `ContactType.POM_Outbound` is pending at the user.
    `Preview` Indicates that an `InteractionI` object with `ContactType.POM_Outbound` has been received from a preview campaign and is currently being previewed by the user.
    `Ringing` Indicates that the `InteractionI` object is currently ringing at the address specified by `InteractionI.getAddress()`.
    `Unknown`
    `Wrapup` Indicates that an `InteractionI` object with `ContactType.POM_Outbound` has ended and is currently in wrapup at which point the user handling the interaction can wrapup

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InteractionState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static InteractionState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Idle

          public static final InteractionState Idle

      This state is used internally by the API. It will not be visible and should not be used by applications.

    - #### Ringing

          public static final InteractionState Ringing

      Indicates that the `InteractionI` object is currently ringing at the address specified by `InteractionI.getAddress()`.

    - #### Active

          public static final InteractionState Active

      Indicates that the `InteractionI` object represents an active participant on the contact. For an interaction with `ContactType.Voice`, this usually implies that there is active speech path with the remote party or parties on the contact.

    - #### Held

          public static final InteractionState Held

      Indicates that the `InteractionI` object represents a participant that is held on the contact.

    - #### Dropped

          public static final InteractionState Dropped

      Indicates that the `InteractionI` object has been dropped. This will be received in a `NotificationType.DELETE` notification and is the final state for an `InteractionI` object.

    - #### Dialing

          public static final InteractionState Dialing

      Indicates that an `InteractionI` object with the `ContactType.POM_Outbound` is in the dialing state after invocation of either `InteractionI.previewDial(com.avaya.ccs.api.ContactNumberI)`, `InteractionI.previewDialFreeForm(java.lang.String)` or `InteractionI.redial(com.avaya.ccs.api.ContactNumberI)`

    - #### Preview

          public static final InteractionState Preview

      Indicates that an `InteractionI` object with `ContactType.POM_Outbound` has been received from a preview campaign and is currently being previewed by the user.

    - #### Wrapup

          public static final InteractionState Wrapup

      Indicates that an `InteractionI` object with `ContactType.POM_Outbound` has ended and is currently in wrapup at which point the user handling the interaction can wrapup

    - #### Pending

          public static final InteractionState Pending

      Indicates that an `InteractionI` object with `ContactType.POM_Outbound` is pending at the user. This occurs when a logged in user is targeted by a consult operation and is currently busy processing an interaction.

    - #### Established

          public static final InteractionState Established

      This state indicates that an endpoint has reached its final, active state in the call.

    - #### Initiated

          public static final InteractionState Initiated

      Denotes a user-initiated Interaction. When an agent initiates an email, a NEW `InteractionI` is sent from CCS in the `Initiated` state.

    - #### Unknown

          public static final InteractionState Unknown

  - ### Method Detail

    - #### values

          public static InteractionState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (InteractionState c : InteractionState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static InteractionState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null